classification
Title: Create unit tests for turtle textonly
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Jelle Zijlstra, arachnegl, gregoryloyse@gmail.com, ingrid, jesstess, python-dev, r.david.murray, serhiy.storchaka, tim.golden
Priority: normal Keywords: needs review, patch

Created on 2014-07-04 13:12 by ingrid, last changed 2016-06-05 07:39 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_turtle_textonly.patch ingrid, 2014-07-04 13:12 review
test_turtle_textonly.patch arachnegl, 2015-04-13 20:08 review
test_turtle.patch arachnegl, 2015-04-14 20:32 review
test_turtle.patch gregoryloyse@gmail.com, 2015-05-21 18:50 review
issue21916-cr.patch Jelle Zijlstra, 2016-06-04 16:48 new patch adding test_turtle.py review
issue21916-cr2.patch Jelle Zijlstra, 2016-06-04 18:17 review
issue21916-more.patch Jelle Zijlstra, 2016-06-04 23:56 patch with more Vec2D tests review
issue21916-more-cr.patch Jelle Zijlstra, 2016-06-05 05:29 patch addressing code review comments review
Messages (23)
msg222282 - (view) Author: (ingrid) * Date: 2014-07-04 13:12
Non-gui tests for turtle that Lita and I wrote.
msg240726 - (view) Author: Gregory Loyse (arachnegl) * Date: 2015-04-13 20:08
Patch reviewed. Looks good.

This patch includes some amendments for readablity and new tests.
msg240832 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-04-14 02:43
I made some review comments on ways to use test.support and test.subTest to simplify the code and make it even clearer.  Also, I suggest not using Mock unless necessary (see review comments).
msg241014 - (view) Author: Gregory Loyse (arachnegl) * Date: 2015-04-14 20:32
Thanks David for your review!

I have added a new patch in response.

Note the file has a new name
msg243774 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2015-05-21 18:38
Tests failed on Windows probably because of NamedTemporaryFile
msg243775 - (view) Author: arachnegl (gregoryloyse@gmail.com) Date: 2015-05-21 18:50
Thanks Tim for testing on Windows and suggesting the change.
msg243776 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2015-05-21 18:54
@RDM I'm sitting with Greg at a London Python session and we've run through these tests on 3.4/3.5. I know you were reviewing this code at PyCon. Are you happy for me to commit from here?
msg243778 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-21 19:26
I'm making a review.
msg243779 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-05-21 19:29
Yes, I don't need to be involved further (unless you need help from me on something :)
msg243781 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2015-05-21 19:34
Serhiy's offered a review and we can take it from here. :)
msg243786 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-21 20:15
Added comments on Rietveld.

It looks the patch includes changes for non-relevant files.
msg267271 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2016-06-04 16:48
This patch removes the unrelated XML changes and addresses most of the code review comments.
msg267289 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-04 18:08
Added few minor comments on Rietveld. Please use more complex example for invalid config. Add valid lines before and after an invalid line.
msg267290 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2016-06-04 18:17
Thanks for your comments. Added a patch addressing your comments.
msg267312 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-04 20:29
Nice. LGTM.
msg267314 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-04 20:31
New changeset f0b94cfcea45 by Serhiy Storchaka in branch '2.7':
Issue #21916: Added tests for the turtle module.
https://hg.python.org/cpython/rev/f0b94cfcea45

New changeset 3b9e96440a70 by Serhiy Storchaka in branch '3.5':
Issue #21916: Added tests for the turtle module.
https://hg.python.org/cpython/rev/3b9e96440a70

New changeset 3d1a23984a6e by Serhiy Storchaka in branch 'default':
Issue #21916: Added tests for the turtle module.
https://hg.python.org/cpython/rev/3d1a23984a6e
msg267315 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-04 20:34
Jelle, do you want to add tests the constructor, repr and pickling of Vec2D?
msg267332 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2016-06-04 22:13
Thanks for merging it in. I'll add the additional tests.
msg267349 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2016-06-04 23:56
Patch tests constructor, repr, equality checks, and pickling on Vec2D.
msg267378 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-05 04:39
Thank you Jelle. Added minor comments on Rietveld.
msg267387 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2016-06-05 05:29
Thanks, this patch addresses your comments.
msg267397 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-05 07:38
New changeset 5c1befa401ca by Serhiy Storchaka in branch '3.5':
Issue #21916: Added more tests for the turtle module.
https://hg.python.org/cpython/rev/5c1befa401ca

New changeset 41fa38ea46ba by Serhiy Storchaka in branch '2.7':
Issue #21916: Added more tests for the turtle module.
https://hg.python.org/cpython/rev/41fa38ea46ba

New changeset 356f411e8c5c by Serhiy Storchaka in branch 'default':
Issue #21916: Added more tests for the turtle module.
https://hg.python.org/cpython/rev/356f411e8c5c
msg267398 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-05 07:39
Thank you for your patches Jelle.
History
Date User Action Args
2016-06-05 07:39:19serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg267398

stage: patch review -> resolved
2016-06-05 07:38:18python-devsetmessages: + msg267397
2016-06-05 05:29:51Jelle Zijlstrasetfiles: + issue21916-more-cr.patch

messages: + msg267387
2016-06-05 04:39:34serhiy.storchakasetmessages: + msg267378
stage: needs patch -> patch review
2016-06-04 23:56:22Jelle Zijlstrasetfiles: + issue21916-more.patch

messages: + msg267349
2016-06-04 22:13:23Jelle Zijlstrasetmessages: + msg267332
2016-06-04 20:34:16serhiy.storchakasetmessages: + msg267315
stage: commit review -> needs patch
2016-06-04 20:31:34python-devsetnosy: + python-dev
messages: + msg267314
2016-06-04 20:29:40serhiy.storchakasetstage: patch review -> commit review
messages: + msg267312
versions: + Python 2.7
2016-06-04 18:17:16Jelle Zijlstrasetfiles: + issue21916-cr2.patch

messages: + msg267290
2016-06-04 18:08:42serhiy.storchakasetmessages: + msg267289
versions: + Python 3.6, - Python 3.4
2016-06-04 17:37:06serhiy.storchakalinkissue27219 dependencies
2016-06-04 16:48:29Jelle Zijlstrasetfiles: + issue21916-cr.patch
nosy: + Jelle Zijlstra
messages: + msg267271

2015-05-21 20:15:18serhiy.storchakasettype: enhancement
messages: + msg243786
2015-05-21 19:34:51tim.goldensetmessages: + msg243781
2015-05-21 19:29:18r.david.murraysetmessages: + msg243779
2015-05-21 19:26:43serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg243778
2015-05-21 18:54:18tim.goldensetmessages: + msg243776
2015-05-21 18:50:52gregoryloyse@gmail.comsetfiles: + test_turtle.patch
versions: + Python 3.4
nosy: + gregoryloyse@gmail.com

messages: + msg243775
2015-05-21 18:38:12tim.goldensetnosy: + tim.golden
messages: + msg243774
2015-04-14 20:32:02arachneglsetfiles: + test_turtle.patch

messages: + msg241014
2015-04-14 02:43:01r.david.murraysetnosy: + r.david.murray
messages: + msg240832
2015-04-13 20:08:01arachneglsetfiles: + test_turtle_textonly.patch
nosy: + arachnegl
messages: + msg240726

2014-07-13 19:18:50jesstesssetkeywords: + needs review
stage: patch review
2014-07-04 13:12:44ingridcreate